# Using a list to represent a binary tree - numbers are for ease of maintenance
# This would be much better done as an array as null values could be omitted.
# A more balanced tree would produce a shorter, less sparsely populated list
tree = [0,"QDoes the animal have four legs","QIs the animal feline","QIs the animal a bird","QIs it a domestic pet","QCan it be milked","QCan it fly","QIs it a mammal","ACat","QIs it striped","QDoes it produce wool","QDo people often ride it","ASparrow","QDoes it swim","QDoes it live on land","QIs it an insect",16,17,"ATiger","ALion","ASheep","ACow","AHorse","QIs it farmed for food",24,25,"APenguin","AOstrich","ASeal","QDoes it have conical teeth and a single blowhole","QDoes it sting","QDoes it have eight tentacles",32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,"ADolphin","AWhale","QDoes it produce honey?","QDoes it have a narrow waist","AOctopus","ASquid",64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100,101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,"ABee","AWasp","AAnt","ATermite"]

current = 1
while tree[current][0] == "Q":
    answer = input(tree[current][1:] + "? [Y/N] ").lower()
    if answer in ("y","yes","ye","yeah"):
        current = current * 2
    else:
        current = current * 2 + 1
print("My guess would be...",tree[current][1:])
    
