# Validate input
def ask(question):
  answer = input(question)
  try:
    answer = int(answer)
    if answer < 0:
      print("Numbers entered must be positive.")
    return answer
  except:
    print("The input must be a valid number.")
    return -1

#Check for repeated digits
def repeated_digits(num_int):
  num_str = str(num_int)
  num_list = list(num_str)
  for digit in num_str:
    if num_list.count(digit) > 1:
      return True
  return False

start = finish = -1
# No negative numbers
while start < 0:
  start = ask("First year in range:")
# The end of the range must be after the start
while finish <= start:
  finish = ask("Last year in range:")
  if finish <= start:
    print("The last year must be later than the first one.")

# Loop through the range of years
repeated = 0
for yr in range(start, finish+1):
  repeated += repeated_digits(yr)

# Display the results with correct grammar
verb = ("are","is")
noun = ("s","")
print("There",verb[repeated == 1],repeated,"year"+noun[repeated == 1],"in the range",start,"-",finish,"that contain"+ noun[repeated != 1],"repeated digits.")